body{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

    font-family: Montserrat, sans-serif;
    background-color: rgb(249, 246, 239);

    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;  
    height: 100vh;         
}

header{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
img {
    width: 8rem;
    border-radius: 100px;
    transition: transform 0.5s ease;
}

img:hover {
    transform: scale(1.05);
    align-self: center;
}

h1 {
    margin: 0;
    padding: 0;
    color: rgb(40, 40, 40);
}

p{
    margin: 0;
    padding-right: 0;
    color: rgb(46, 46, 46);
    font-size: 1rem;
}

.buttons-container {
    width: 80%;
    margin: 20px;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.button {
    width: 100%;
    height: 3.5rem;

    color: rgb(40, 40, 40);
    background: white;
    border: solid 0.5px rgba(46, 46, 46, 0.674);
    border-radius: 8px;

    font-size: 1rem;
    text-align: center;
    transition: transform 0.3s ease;
}

.button:hover {
    transform: scale(1.01);
}

.icon {
    margin: 5px;
}

.social-container {
    display: flex;
    justify-content: center;
    gap: 30px;
}

a i{
    color: rgba(40, 40, 40, 0.815);
    font-size: 1.3rem;
    transition: all 0.3s ease;
}

a i:hover {
    color: rgb(40, 40, 40);
}

.tooltip {
    position: absolute;
    background-color: white;
    border: solid 1px rgba(46, 46, 46, 0.674);
    color: rgb(40, 40, 40);
    padding: 0.5rem 1rem;
    border-radius: 5px;
    font-size: 0.9rem;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s;

    bottom: 10px; 
    left: 50%;
    transform: translateX(-50%);
}

.tooltip.show {
    opacity: 1;
}

@media(max-width: 450px) {
    .tooltip {
        width: 15rem;
        text-align: center;
    }
}

@media (min-width: 900px) {
    .button {
        width: 40%;
    }
}